package com.yonge.cooleshow.biz.dal.dao;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yonge.cooleshow.biz.dal.entity.StudentStar;
import com.yonge.cooleshow.biz.dal.vo.StudentTotalVo;
import com.yonge.cooleshow.biz.dal.vo.TeacherTotalVo;

public interface StudentStarDao extends BaseMapper<StudentStar>{
	/***
	 * 查询首页所有老师粉丝数
	 * @author liweifan
	 * @updateTime 2022/3/28 10:38
	 * @return: java.util.List<com.yonge.cooleshow.biz.dal.vo.TeacherTotalVo>
	 */
	List<TeacherTotalVo> queryTeacherTotal();
	/***
	 * 查询首页学生关注老师数
	 * @author liweifan
	 * @updateTime 2022/3/28 10:38
	 * @return: java.util.List<com.yonge.cooleshow.biz.dal.vo.TeacherTotalVo>
	 */
	List<StudentTotalVo> queryStudentTotal();
}