package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.entity.VipCard;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.beanutils.BeanUtils;

/**
 * @Author: liweifan
 * @Data: 2022-04-13 13:36:48
 */
@ApiModel(value = "VipCardVo对象", description = "会员卡表查询视图对象")
public class VipCardVo extends VipCard{
	private static final long serialVersionUID = 1L;
    @ApiModelProperty("时长类型名称 ")
    private String timeTypeName;
    @ApiModelProperty("修改人名称 ")
    private String updateByName;

    public String getTimeTypeName() {
        return timeTypeName;
    }

    public void setTimeTypeName(String timeTypeName) {
        this.timeTypeName = timeTypeName;
    }

    public String getUpdateByName() {
        return updateByName;
    }

    public void setUpdateByName(String updateByName) {
        this.updateByName = updateByName;
    }

    public VipCardVo buildVo(VipCard vipCard){
        try {
            BeanUtils.copyProperties(this,vipCard);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return this;
    }

}